aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/rstrip.sh
diff options
context:
space:
mode:
authorblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>2012-10-05 10:12:53 +0000
committerblogic <blogic@3c298f89-4303-0410-b956-a3cf2f4a3e73>2012-10-05 10:12:53 +0000
commit5c105d9f3fd086aff195d3849dcf847d6b0bd927 (patch)
tree1229a11f725bfa58aa7c57a76898553bb5f6654a /scripts/rstrip.sh
downloadopenwrt-5c105d9f3fd086aff195d3849dcf847d6b0bd927.tar.gz
openwrt-5c105d9f3fd086aff195d3849dcf847d6b0bd927.zip
branch Attitude Adjustment
git-svn-id: svn://svn.openwrt.org/openwrt/branches/attitude_adjustment@33625 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'scripts/rstrip.sh')
-rwxr-xr-xscripts/rstrip.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/scripts/rstrip.sh b/scripts/rstrip.sh
new file mode 100755
index 000000000..4665ff555
--- /dev/null
+++ b/scripts/rstrip.sh
@@ -0,0 +1,39 @@
+#!/usr/bin/env bash
+#
+# Copyright (C) 2006 OpenWrt.org
+#
+# This is free software, licensed under the GNU General Public License v2.
+# See /LICENSE for more information.
+#
+SELF=${0##*/}
+
+[ -z "$STRIP" ] && {
+ echo "$SELF: strip command not defined (STRIP variable not set)"
+ exit 1
+}
+
+TARGETS=$*
+
+[ -z "$TARGETS" ] && {
+ echo "$SELF: no directories / files specified"
+ echo "usage: $SELF [PATH...]"
+ exit 1
+}
+
+find $TARGETS -type f -a -exec file {} \; | \
+ sed -n -e 's/^\(.*\):.*ELF.*\(executable\|relocatable\|shared object\).*,.* stripped/\1:\2/p' | \
+(
+ IFS=":"
+ while read F S; do
+ echo "$SELF: $F:$S"
+ [ "${S}" = "relocatable" ] && {
+ eval "$STRIP_KMOD $F"
+ } || {
+ b=$(stat -c '%a' $F)
+ eval "$STRIP $F"
+ a=$(stat -c '%a' $F)
+ [ "$a" = "$b" ] || chmod $b $F
+ }
+ done
+ true
+)